curl --request GET \
--url https://api.jurichat.com/people/{peopleId} \
--header 'x-jurichat-api-key: <api-key>'import requests
url = "https://api.jurichat.com/people/{peopleId}"
headers = {"x-jurichat-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-jurichat-api-key': '<api-key>'}};
fetch('https://api.jurichat.com/people/{peopleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"email": "<string>",
"imageUrl": "<string>",
"phoneNumber": "<string>",
"document": "<string>",
"description": "<string>",
"country": "<string>",
"city": "<string>",
"isBlocked": true,
"inboxId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tags": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>"
}
],
"crmColumns": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>"
}
],
"externalIdentitySource": "WEB_CHAT",
"externalIdentityId": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"details": "<string>"
}Obter contato
Retorna os dados de um contato pelo ID. O inboxId é obrigatório para garantir que o contato pertença à inbox informada.
Authorizations
Chave de API do escritório (criada no painel). Envie o valor no header x-jurichat-api-key.
Path Parameters
ID do contato.
^[cC][^\s-]{8,}$Query Parameters
ID da inbox. Obrigatório para verificar que o contato pertence a essa caixa.
^[cC][^\s-]{8,}$Response
Default Response
ID do contato.
Nome do contato. Null se não informado.
E-mail. Null se não informado.
URL de avatar. Null se não definido.
Número de telefone. Null se não informado.
CPF, CNPJ ou outro documento. Null se não informado.
Anotações sobre o contato. Null se não informado.
País. Null se não informado.
Cidade. Null se não informado.
Indica se o contato está bloqueado.
ID da inbox à qual o contato pertence.
Data e hora de criação.
Data e hora da última atualização.
Tags associadas ao contato.
Show child attributes
Show child attributes
Colunas do CRM associadas ao contato nesta inbox.
Show child attributes
Show child attributes
Origem externa do contato quando não veio de telefone.
WEB_CHAT, INSTAGRAM Identificador externo do contato (ex.: sessão do web chat).